[tox]
envlist = coverage-django17-pylint,coverage-django18
toxworkdir = {env:TMPDIR:/tmp}/tox-{env:USER}/passerelle/

[testenv]
usedevelop =
  coverage: True
setenv =
  DJANGO_SETTINGS_MODULE=passerelle.settings
  PASSERELLE_SETTINGS_FILE=tests/settings.py
  fast: FAST=--nomigrations
  coverage: COVERAGE=--junitxml=test_results.xml --cov-report xml --cov=passerelle/ --cov-config .coveragerc
deps =
  django17: django>1.7,<1.8
  django18: django>=1.8,<1.9
  pytest-cov
  pytest-django
  pytest
  pytest-capturelog
  WebTest
  mock
  httmock
  python-dateutil
  pylint
  pylint-django
  django-webtest
commands =
  ./getmagic.sh
  py.test {env:FAST:} {env:COVERAGE:} {posargs:tests/}
  pylint: ./pylint.sh passerelle/
